<?
include ("../common/scripts/connect.inc.php");
session_start();

if(isset($_SESSION['idChar']))
{
	$id_mimichant=$_SESSION['idChar'];

	if(isset($_POST['nom']) && isset($_POST['id']))
	{
	  $id=$_POST['id'];
		$nom=$_POST['nom'];
		
		//traitement de l'achat
		$result= pg_query($dbconn,"select * from buy_mimichant(".$id.",".$id_mimichant.")");	
		$ok=pg_fetch_row($result);
		
		//si l'achat s'est bien passé
		if($ok[0]=='t')
		{
		echo 'Vous &ecirc;tes maintenant propi&eacute;taire du mimichant '.$nom;
	  }
	  else
	  {
		echo 'Vous ne remplissez pas toutes les conditions pour pouvoir acheter le mimichant '.$nom;
	  }
	}
}


?>
